### Method

# FwupdPlugin CsvFirmware get_column_id

since: 1.9.3

#### Declaration [src]

    const gchar*
    fu_csv_firmware_get_column_id (
      FuCsvFirmware* self,
      guint idx
    )

#### Description [src]

Gets the column ID for a specific index position.

Available since: 1.9.3

#### Parameters

`idx`

  Type: `guint`

  Column ID idx.

#### Return value

Type: `const gchar*`

A string, or `NULL` if not found.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.